<template>
  <v-container>
    <h1>Informations de contact</h1>

    <v-row>
      <v-col cols="12" md="6">
        <v-card color="accent">
          <v-card-title>Par courrier</v-card-title>
          <v-card>
            <v-card-text class="text--primary">
              <pre v-text="address" />
            </v-card-text>
          </v-card>
        </v-card>
      </v-col>

      <v-col cols="12" md="6">
        <v-card color="accent">
          <v-card-title>Par téléphone</v-card-title>
          <v-list>
            <v-list-item
              v-for="phone in phones"
              :key="phone.number"
              :href="`tel:${phone.number}`"
            >
              {{ phone.description }} : {{ phone.number }}
            </v-list-item>
          </v-list>
        </v-card>
      </v-col>

      <v-col cols="12" lg="6">
        <v-card color="accent">
          <v-card-title>Par email</v-card-title>
          <v-list>
            <v-list-item
              v-for="email in emails"
              :key="email.address"
              :href="`mailto:${email.address}`"
            >
              {{ email.description }} : {{ email.address }}
            </v-list-item>
          </v-list>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapState } from 'vuex'

export default {
  data: () => ({
    emails: [
      {
        description: 'Comptabilité, facturation, trésorerie',
        address: 'tresorerie.rcs.escrime@gmail.com',
      },
      {
        description: 'Commandes groupées de matériel',
        address: 'commandes@rcs-escrime.fr',
      },
      {
        description: "Commandes d'accessoires du club",
        address: 'accessoires.rcs.escrime.26@gmail.com',
      },
      {
        description: 'Site internet',
        address: 'webmaster@rcs-escrime.fr',
      },
      {
        description: 'Pour le reste',
        address: 'contact@rcs-escrime.fr',
      },
    ],

    phones: [
      {
        description: 'Patrick Del Monaco',
        number: '+33 6 87 08 87 14',
      },
    ],

    room: 'Crest',
  }),

  computed: {
    ...mapState(['rooms']),

    address() {
      const location = this.rooms[this.room].location

      let address = ''
      if (location.number) address += `${location.number} `
      if (location.line1) address += `${location.line1}\n`
      if (location.line2) address += `${location.line2}\n`
      if (location.postcode) address += `${location.postcode} `
      if (location.suburb) address += `${location.suburb}\n`

      return address
    },
  },

  head() {
    return {
      title: 'Informations de contact',
    }
  },
}
</script>
